/**
 * Copyright (c) 2016-present, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 *
 * @flow
 */

import type { Manifest } from "../../types.js";
import type PackageRequest from "../../package-request.js";
import ExoticResolver from "./_base.js";
import * as util from "../../util/misc.js";

export default class FileResolver extends ExoticResolver {
  constructor(request: PackageRequest, fragment: string) {
    super(request, fragment);
    this.loc = util.removePrefix(fragment, "file:");
  }

  loc: string;

  static protocol = "file";

  resolve(): Promise<Manifest> {
    throw new Error("TODO " + this.loc);
  }
}
